> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Instance Compliance Reports



## OpenAPI

````yaml /api-reference/openapi.json get /api/compliance/reports/instance
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/compliance/reports/instance:
    get:
      tags:
        - compliance
      summary: Download Instance Compliance Reports
      operationId: download_instance_compliance_reports_api_compliance_reports_instance_get
      parameters:
        - name: format
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/ComplianceReportFormat'
            default: json
            title: Format
        - name: depth
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/ComplianceReportDepth'
            default: summary
            title: Depth
        - name: compliance_standard
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/ComplianceStandard'
            default: soc2
            title: Compliance Standard
        - name: dataset_ids
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Optional dataset UUIDs to scope the report to a subset of
              datasets.
            title: Dataset Ids
          description: Optional dataset UUIDs to scope the report to a subset of datasets.
        - name: time_start
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Optional ISO timestamp marking the beginning of the reporting
              window.
            title: Time Start
          description: >-
            Optional ISO timestamp marking the beginning of the reporting
            window.
        - name: time_end
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: Optional ISO timestamp marking the end of the reporting window.
            title: Time End
          description: Optional ISO timestamp marking the end of the reporting window.
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ComplianceReportFormat:
      type: string
      enum:
        - json
        - pdf
        - csv
      title: ComplianceReportFormat
    ComplianceReportDepth:
      type: string
      enum:
        - summary
        - detailed
        - exhaustive
      title: ComplianceReportDepth
    ComplianceStandard:
      type: string
      enum:
        - soc2
        - iso27001
        - hipaa
        - gdpr
      title: ComplianceStandard
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````